Subject: [TR] TR3A is finally back home

From: David Ljung Madison <[email-masked]>
Date: Thu, 19 Apr 2012 02:05:39 -0700

After over two years at various body shops waiting to get repaired 
(after separate, multiple hit-and-run accidents), my TR3A is finally home!

The body looks beautiful, and will hopefully stay that way (though 
the last body/paint job seemed to make it a target, yeesh), but after
sitting for so long and after being pulled apart, the poor thing
has a number of issues:

1) A rod is knocking in the lower end and the engine will need overhaul
   replacement soon. :(
2) Front end is in bad shape (as it was before the body work) - much 
   needs replacing.
3) Some leaks in the cooling system to fix
4) Needs a tuneup

Oh well.

Anyone have suggestions for engine overhaul and/or replacement?

Not to mention that I need to start looking into the rack and pinion
conversion.

Unfortunately I have so little time for such projects right now, but
at least she's home and running!

Dave

---------------------------------------------------------------------------
Dave Ljung Madison          http://GetDave.com/                415.341.5555
--------- It's not whether you win or lose.  It's whether you win ---------

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]